MCP Tools Reference: cloudsupport.googleapis.com

Tool: get_attachment

Retrieve the specified Attachment. Use this tool to fetch a single attachment by its full resource name. The attachment name must be provided in the format: projects/{project}/cases/{case}/attachments/{attachment}.

The following code sample shows how to use curl to call the get_attachment MCP tool.

Curl Request
curl --location 'https://cloudsupport.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_attachment",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

The request message for the GetAttachment endpoint.

GetAttachmentRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the attachment to retrieve.

Output Schema

The response message for the GetAttachment endpoint.

GetAttachmentResponse

JSON representation
{
  "attachment": {
    object (Attachment)
  }
}
Fields
attachment

object (Attachment)

The support attachment.

Attachment

JSON representation
{
  "name": string,
  "createTime": string,
  "creatorDisplayName": string,
  "creatorUsername": string,
  "creatorGoogleSupport": boolean,
  "filename": string,
  "mimeType": string,
  "sizeBytes": string
}
Fields
name

string

Output only. Identifier. The resource name of the attachment.

createTime

string (Timestamp format)

Output only. The time at which the attachment was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

creatorDisplayName

string

Output only. The display name of the attachment uploader. If not provided, it is inferred from credentials supplied during creation.

This will be obfuscated if the user is a Google Support agent.

creatorUsername

string

Output only. The username of the attachment uploader. It may look like an email or other format provided by the identity provider. If not provided, it is inferred from the credentials supplied. When a creatorDisplayName is provided, a creatorUsername must also be provided. If the user is a Google Support agent, this will not be set.

creatorGoogleSupport

boolean

Output only. Whether the creator is a Google support actor.

filename

string

The filename of the attachment (e.g. "graph.jpg").

mimeType

string

Output only. The MIME type of the attachment (e.g. text/plain).

sizeBytes

string (int64 format)

Output only. The size of the attachment in bytes.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌